var list = {

    "en": {
        "User Manual": {
            "Getting Started": {
                "Beginner's Guide": "manual/en/introduction/Beginner-Guide",
                "Workflow": "manual/en/introduction/Workflow",
                "Puzzles": "manual/en/introduction/Puzzles-Visual-Logic-Editor",
                "Verge3D Features": "manual/en/introduction/Features",
                "Project Structure": "manual/en/introduction/Project-Structure",
                "Updating for New Versions": "manual/en/introduction/Updating",
                "FAQ": "manual/en/introduction/FAQ",
                "Useful Links": "manual/en/introduction/Useful-links"
            },

            "General Topics": {
                "Optimization Techniques": "manual/en/introduction/Optimizing-WebGL-performance",
                "Asset Compression": "manual/en/introduction/Asset-compression",
                "HTML-Based User Interfaces": "manual/en/introduction/HTML-based-user-interfaces",
                "AR/VR Development": "manual/en/introduction/AR-VR-development",
                "Styling Verge3D Apps": "manual/en/introduction/Styling-Verge3D-Apps",
                "Wordpress Plugin": "manual/en/introduction/Wordpress-Plugin",
                "Using JavaScript": "manual/en/introduction/Using-JavaScript",
                "Testing on Mobile Browsers": "manual/en/introduction/Testing-Mobile-Browsers"
            },

            "3ds Max Artist's Guide": {
                "Installation": "manual/en/introduction/Installation-3ds-Max",
                "Material Systems": "manual/en/introduction/Material-System-Max",
                "Lighting and Rendering": "manual/en/max/Lighting-and-Rendering",
                "Materials and Maps": "manual/en/introduction/Materials-Maps-Reference-Max",
                "Morphing": "manual/en/max/Morphing",
                "Shadows": "manual/en/introduction/Shadows-Max",
                "Transparency": "manual/en/introduction/Transparency-Max",
                "Viewport and Render Preview": "manual/en/introduction/Viewport-Render-Preview-Max",
                "glTF Materials": "manual/en/introduction/Physical-material",
                "Animation Constraints": "manual/en/max/Animation-Constraints"
            },

            "Blender Artist's Guide": {
                "Installation": "manual/en/introduction/Installation-Blender",
                "Material System Overview": "manual/en/introduction/Material-System-Blender",
                "Shader Nodes": "manual/en/introduction/Shader-Nodes-Reference-Blender",
                "Morphing (Shape Keys)": "manual/en/blender/Morphing",
                "Shadows": "manual/en/introduction/Shadows-Blender",
                "Transparency": "manual/en/introduction/Transparency-Blender",
                "Viewport Preview": "manual/en/introduction/Viewport-preview-Blender",
                "glTF Materials": "manual/en/introduction/Physical-material-Blender",
                "Object Constraints": "manual/en/blender/Object-Constraints",
                "Using Material Library": "manual/en/introduction/Material-Library-Blender"
            },

            "Puzzles Reference": {
                "Initialization": "manual/en/puzzles/Initialization",
                "Events": "manual/en/puzzles/Events",
                "Selectors": "manual/en/puzzles/Selectors",
                "Objects": "manual/en/puzzles/Objects",
                "Materials": "manual/en/puzzles/Materials",
                "Animation": "manual/en/puzzles/Animation",
                "Camera": "manual/en/puzzles/Camera",
                "Scenes": "manual/en/puzzles/Scenes",
                "Time": "manual/en/puzzles/Time",
                "HTML": "manual/en/puzzles/HTML",
                "AR/VR": "manual/en/puzzles/AR_VR",
                "Sound": "manual/en/puzzles/Sound",
                "Physics (and Constraints)": "manual/en/puzzles/Physics",
                "Post-processing": "manual/en/puzzles/Postprocessing",
                "Logic": "manual/en/puzzles/Logic",
                "Loops": "manual/en/puzzles/Loops",
                "Text": "manual/en/puzzles/Text",
                "Numbers": "manual/en/puzzles/Numbers",
                "Lists": "manual/en/puzzles/Lists",
                "Dictionaries": "manual/en/puzzles/Dictionaries",
                "Variables": "manual/en/puzzles/Variables",
                "Procedures": "manual/en/puzzles/Procedures",
                "System": "manual/en/puzzles/System",
                "Misc": "manual/en/puzzles/Misc",
                "Misc / E-Commerce": "manual/en/puzzles/ECommerce",
                "Library": "manual/en/puzzles/Library"
            },

            "Programmer's Guide": {
                "Programming Basics": "manual/en/programmers_guide/Programming-basics",
                "Matrix Transformations": "manual/en/programmers_guide/Matrix-transformations",
                "Animation System": "manual/en/programmers_guide/Animation-system",
                "Creating Text": "manual/en/programmers_guide/Creating-text",
                "Drawing Lines": "manual/en/programmers_guide/Drawing-lines",
                "How to Update Things": "manual/en/programmers_guide/How-to-update-things",
                "Conventions": "manual/en/programmers_guide/Conventions",
                // the page below is used in the source links throughout the API Reference
                "How to Obtain Sources": "manual/en/introduction/How-to-obtain-Verge3D-sources"
            }
        },

        "Developer Reference": {

            "Animation": {
                "AnimationAction": "api/en/animation/AnimationAction",
                "AnimationClip": "api/en/animation/AnimationClip",
                "AnimationMixer": "api/en/animation/AnimationMixer",
                "AnimationObjectGroup": "api/en/animation/AnimationObjectGroup",
                "AnimationUtils": "api/en/animation/AnimationUtils",
                "KeyframeTrack": "api/en/animation/KeyframeTrack",
                "PropertyBinding": "api/en/animation/PropertyBinding",
                "PropertyMixer": "api/en/animation/PropertyMixer"
            },

            "Animation / Tracks": {
                "BooleanKeyframeTrack": "api/en/animation/tracks/BooleanKeyframeTrack",
                "ColorKeyframeTrack": "api/en/animation/tracks/ColorKeyframeTrack",
                "NumberKeyframeTrack": "api/en/animation/tracks/NumberKeyframeTrack",
                "QuaternionKeyframeTrack": "api/en/animation/tracks/QuaternionKeyframeTrack",
                "StringKeyframeTrack": "api/en/animation/tracks/StringKeyframeTrack",
                "VectorKeyframeTrack": "api/en/animation/tracks/VectorKeyframeTrack"
            },

            "Application": {
                "App": "api/en/extras/App",
                "AppPuzzles": "api/en/extras/AppPuzzles",
                "AppUtils": "api/en/extras/AppUtils"
            },

            "Audio": {
                "Audio": "api/en/audio/Audio",
                "AudioAnalyser": "api/en/audio/AudioAnalyser",
                "AudioContext": "api/en/audio/AudioContext",
                "AudioListener": "api/en/audio/AudioListener",
                "PositionalAudio": "api/en/audio/PositionalAudio"
            },

            "Cameras": {
                "ArrayCamera": "api/en/cameras/ArrayCamera",
                "Camera": "api/en/cameras/Camera",
                "CubeCamera": "api/en/cameras/CubeCamera",
                "OrthographicCamera": "api/en/cameras/OrthographicCamera",
                "PerspectiveCamera": "api/en/cameras/PerspectiveCamera",
                "StereoCamera": "api/en/cameras/StereoCamera"
            },

            "Constants": {
                "Animation": "api/en/constants/Animation",
                "Core": "api/en/constants/Core",
                "CustomBlendingEquation": "api/en/constants/CustomBlendingEquations",
                "DrawModes": "api/en/constants/DrawModes",
                "Materials": "api/en/constants/Materials",
                "Renderer": "api/en/constants/Renderer",
                "Textures": "api/en/constants/Textures"
            },

            "Constraints": {
                "ChildOfConstraint": "api/en/constraints/ChildOfConstraint",
                "Constraint": "api/en/constraints/Constraint",
                "CopyLocationConstraint": "api/en/constraints/CopyLocationConstraint",
                "CopyRotationConstraint": "api/en/constraints/CopyRotationConstraint",
                "CopyScaleConstraint": "api/en/constraints/CopyScaleConstraint",
                "FloorConstraint": "api/en/constraints/FloorConstraint",
                "LimitLocationConstraint": "api/en/constraints/LimitLocationConstraint",
                "LimitRotationConstraint": "api/en/constraints/LimitRotationConstraint",
                "LimitScaleConstraint": "api/en/constraints/LimitScaleConstraint",
                "LockedTrackConstraint": "api/en/constraints/LockedTrackConstraint",
                "TargetConstraint": "api/en/constraints/TargetConstraint",
                "TrackToConstraint": "api/en/constraints/TrackToConstraint"
            },

            "Controls": {
                "KeyListener": "api/en/controls/KeyListener",
                "OrbitControls": "api/en/controls/OrbitControls",
            },

            "Core": {
                "BufferAttribute": "api/en/core/BufferAttribute",
                "BufferGeometry": "api/en/core/BufferGeometry",
                "Clock": "api/en/core/Clock",
                "Detector": "api/en/core/Detector",
                "DirectGeometry": "api/en/core/DirectGeometry",
                "EventDispatcher": "api/en/core/EventDispatcher",
                "Face3": "api/en/core/Face3",
                "Geometry": "api/en/core/Geometry",
                "InstancedBufferAttribute": "api/en/core/InstancedBufferAttribute",
                "InstancedBufferGeometry": "api/en/core/InstancedBufferGeometry",
                "InstancedInterleavedBuffer": "api/en/core/InstancedInterleavedBuffer",
                "InterleavedBuffer": "api/en/core/InterleavedBuffer",
                "InterleavedBufferAttribute": "api/en/core/InterleavedBufferAttribute",
                "Layers": "api/en/core/Layers",
                "Object3D": "api/en/core/Object3D",
                "Raycaster": "api/en/core/Raycaster",
                "Uniform": "api/en/core/Uniform"
            },

            "Core / BufferAttributes": {
                "BufferAttribute Types": "api/en/core/bufferAttributeTypes/BufferAttributeTypes"
            },

            "Extras": {
                "Earcut": "api/en/extras/Earcut",
                "Preloader": "api/en/extras/Preloader",
                "PuzzlesLoader": "api/en/extras/PuzzlesLoader",
                "SceneUtils": "api/en/extras/SceneUtils",
                "ShapeUtils": "api/en/extras/ShapeUtils",
                "SimplePreloader": "api/en/extras/SimplePreloader"
            },

            "Extras / Core": {
                "Curve": "api/en/extras/core/Curve",
                "CurvePath": "api/en/extras/core/CurvePath",
                "Font": "api/en/extras/core/Font",
                "Interpolations": "api/en/extras/core/Interpolations",
                "Path": "api/en/extras/core/Path",
                "Shape": "api/en/extras/core/Shape",
                "ShapePath": "api/en/extras/core/ShapePath"
            },

            "Extras / Curves": {
                "ArcCurve": "api/en/extras/curves/ArcCurve",
                "CatmullRomCurve3": "api/en/extras/curves/CatmullRomCurve3",
                "CubicBezierCurve": "api/en/extras/curves/CubicBezierCurve",
                "CubicBezierCurve3": "api/en/extras/curves/CubicBezierCurve3",
                "EllipseCurve": "api/en/extras/curves/EllipseCurve",
                "LineCurve": "api/en/extras/curves/LineCurve",
                "LineCurve3": "api/en/extras/curves/LineCurve3",
                "QuadraticBezierCurve": "api/en/extras/curves/QuadraticBezierCurve",
                "QuadraticBezierCurve3": "api/en/extras/curves/QuadraticBezierCurve3",
                "SplineCurve": "api/en/extras/curves/SplineCurve"
            },

            "Extras / Objects": {
                "ImmediateRenderObject": "api/en/extras/objects/ImmediateRenderObject",
                "LineHTML": "api/en/extras/objects/LineHTML",
                "MeshLine": "api/en/extras/objects/MeshLine",
                "MeshLineIndexed": "api/en/extras/objects/MeshLineIndexed",
                "MeshLineMaterial": "api/en/extras/objects/MeshLineMaterial",
            },

            "Geometries": {
                "BoxBufferGeometry": "api/en/geometries/BoxBufferGeometry",
                "BoxGeometry": "api/en/geometries/BoxGeometry",
                "CircleBufferGeometry": "api/en/geometries/CircleBufferGeometry",
                "CircleGeometry": "api/en/geometries/CircleGeometry",
                "ConeBufferGeometry": "api/en/geometries/ConeBufferGeometry",
                "ConeGeometry": "api/en/geometries/ConeGeometry",
                "CylinderBufferGeometry": "api/en/geometries/CylinderBufferGeometry",
                "CylinderGeometry": "api/en/geometries/CylinderGeometry",
                "DodecahedronBufferGeometry": "api/en/geometries/DodecahedronBufferGeometry",
                "DodecahedronGeometry": "api/en/geometries/DodecahedronGeometry",
                "EdgesGeometry": "api/en/geometries/EdgesGeometry",
                "ExtrudeBufferGeometry": "api/en/geometries/ExtrudeBufferGeometry",
                "ExtrudeGeometry": "api/en/geometries/ExtrudeGeometry",
                "IcosahedronBufferGeometry": "api/en/geometries/IcosahedronBufferGeometry",
                "IcosahedronGeometry": "api/en/geometries/IcosahedronGeometry",
                "LatheBufferGeometry": "api/en/geometries/LatheBufferGeometry",
                "LatheGeometry": "api/en/geometries/LatheGeometry",
                "OctahedronBufferGeometry": "api/en/geometries/OctahedronBufferGeometry",
                "OctahedronGeometry": "api/en/geometries/OctahedronGeometry",
                "ParametricBufferGeometry": "api/en/geometries/ParametricBufferGeometry",
                "ParametricGeometry": "api/en/geometries/ParametricGeometry",
                "PlaneBufferGeometry": "api/en/geometries/PlaneBufferGeometry",
                "PlaneGeometry": "api/en/geometries/PlaneGeometry",
                "PolyhedronBufferGeometry": "api/en/geometries/PolyhedronBufferGeometry",
                "PolyhedronGeometry": "api/en/geometries/PolyhedronGeometry",
                "RingBufferGeometry": "api/en/geometries/RingBufferGeometry",
                "RingGeometry": "api/en/geometries/RingGeometry",
                "ShapeBufferGeometry": "api/en/geometries/ShapeBufferGeometry",
                "ShapeGeometry": "api/en/geometries/ShapeGeometry",
                "SphereBufferGeometry": "api/en/geometries/SphereBufferGeometry",
                "SphereGeometry": "api/en/geometries/SphereGeometry",
                "TetrahedronBufferGeometry": "api/en/geometries/TetrahedronBufferGeometry",
                "TetrahedronGeometry": "api/en/geometries/TetrahedronGeometry",
                "TextBufferGeometry": "api/en/geometries/TextBufferGeometry",
                "TextGeometry": "api/en/geometries/TextGeometry",
                "TorusBufferGeometry": "api/en/geometries/TorusBufferGeometry",
                "TorusGeometry": "api/en/geometries/TorusGeometry",
                "TorusKnotBufferGeometry": "api/en/geometries/TorusKnotBufferGeometry",
                "TorusKnotGeometry": "api/en/geometries/TorusKnotGeometry",
                "TubeBufferGeometry": "api/en/geometries/TubeBufferGeometry",
                "TubeGeometry": "api/en/geometries/TubeGeometry",
                "WireframeGeometry": "api/en/geometries/WireframeGeometry"
            },

            "Helpers": {
                "ArrowHelper": "api/en/helpers/ArrowHelper",
                "AxesHelper": "api/en/helpers/AxesHelper",
                "BoxHelper": "api/en/helpers/BoxHelper",
                "Box3Helper": "api/en/helpers/Box3Helper",
                "CameraHelper": "api/en/helpers/CameraHelper",
                "DirectionalLightHelper": "api/en/helpers/DirectionalLightHelper",
                "FaceNormalsHelper": "api/en/helpers/FaceNormalsHelper",
                "GridHelper": "api/en/helpers/GridHelper",
                "PolarGridHelper": "api/en/helpers/PolarGridHelper",
                "PositionalAudioHelper": "api/en/helpers/PositionalAudioHelper",
                "HemisphereLightHelper": "api/en/helpers/HemisphereLightHelper",
                "PlaneHelper": "api/en/helpers/PlaneHelper",
                "PointLightHelper": "api/en/helpers/PointLightHelper",
                "RectAreaLightHelper": "api/en/helpers/RectAreaLightHelper",
                "SkeletonHelper": "api/en/helpers/SkeletonHelper",
                "SpotLightHelper": "api/en/helpers/SpotLightHelper",
                "VertexNormalsHelper": "api/en/helpers/VertexNormalsHelper"
            },

            "Lights": {
                "AmbientLight": "api/en/lights/AmbientLight",
                "DirectionalLight": "api/en/lights/DirectionalLight",
                "HemisphereLight": "api/en/lights/HemisphereLight",
                "Light": "api/en/lights/Light",
                "PointLight": "api/en/lights/PointLight",
                "RectAreaLight": "api/en/lights/RectAreaLight",
                "SpotLight": "api/en/lights/SpotLight"
            },

            "Lights / Shadows": {
                "DirectionalLightShadow": "api/en/lights/shadows/DirectionalLightShadow",
                "LightShadow": "api/en/lights/shadows/LightShadow",
                "SpotLightShadow": "api/en/lights/shadows/SpotLightShadow"
            },

            "Loaders": {
                "AnimationLoader": "api/en/loaders/AnimationLoader",
                "AudioLoader": "api/en/loaders/AudioLoader",
                "BufferGeometryLoader": "api/en/loaders/BufferGeometryLoader",
                "Cache": "api/en/loaders/Cache",
                "CompressedTextureLoader": "api/en/loaders/CompressedTextureLoader",
                "CubeTextureLoader": "api/en/loaders/CubeTextureLoader",
                "DataTextureLoader": "api/en/loaders/DataTextureLoader",
                "FileLoader": "api/en/loaders/FileLoader",
                "FontLoader": "api/en/loaders/FontLoader",
                "ImageBitmapLoader": "api/en/loaders/ImageBitmapLoader",
                "ImageLoader": "api/en/loaders/ImageLoader",
                "GLTFLoader": "api/en/loaders/GLTFLoader",
                "Loader": "api/en/loaders/Loader",
                "LoaderUtils": "api/en/loaders/LoaderUtils",
                "MaterialLoader": "api/en/loaders/MaterialLoader",
                "ObjectLoader": "api/en/loaders/ObjectLoader",
                "TextureLoader": "api/en/loaders/TextureLoader"
            },

            "Loaders / Managers": {
                "DefaultLoadingManager": "api/en/loaders/managers/DefaultLoadingManager",
                "LoadingManager": "api/en/loaders/managers/LoadingManager"
            },

            "Materials": {
                "LineBasicMaterial": "api/en/materials/LineBasicMaterial",
                "LineDashedMaterial": "api/en/materials/LineDashedMaterial",
                "Material": "api/en/materials/Material",
                "MaterialUtils": "api/en/materials/MaterialUtils",
                "MeshBasicMaterial": "api/en/materials/MeshBasicMaterial",
                "MeshDepthMaterial": "api/en/materials/MeshDepthMaterial",
                "MeshLambertMaterial": "api/en/materials/MeshLambertMaterial",
                "MeshNodeMaterial": "api/en/materials/MeshNodeMaterial",
                "MeshNormalMaterial": "api/en/materials/MeshNormalMaterial",
                "MeshPhongMaterial": "api/en/materials/MeshPhongMaterial",
                "MeshPhysicalMaterial": "api/en/materials/MeshPhysicalMaterial",
                "MeshStandardMaterial": "api/en/materials/MeshStandardMaterial",
                "MeshToonMaterial": "api/en/materials/MeshToonMaterial",
                "PointsMaterial": "api/en/materials/PointsMaterial",
                "RawShaderMaterial": "api/en/materials/RawShaderMaterial",
                "ShaderMaterial": "api/en/materials/ShaderMaterial",
                "ShadowMaterial": "api/en/materials/ShadowMaterial",
                "SpriteMaterial": "api/en/materials/SpriteMaterial"
            },

            "Math": {
                "Box2": "api/en/math/Box2",
                "Box3": "api/en/math/Box3",
                "Color": "api/en/math/Color",
                "Cylindrical": "api/en/math/Cylindrical",
                "Euler": "api/en/math/Euler",
                "Frustum": "api/en/math/Frustum",
                "Interpolant": "api/en/math/Interpolant",
                "Line3": "api/en/math/Line3",
                "Math": "api/en/math/Math",
                "Matrix3": "api/en/math/Matrix3",
                "Matrix4": "api/en/math/Matrix4",
                "Plane": "api/en/math/Plane",
                "Quaternion": "api/en/math/Quaternion",
                "Ray": "api/en/math/Ray",
                "Sphere": "api/en/math/Sphere",
                "Spherical": "api/en/math/Spherical",
                "Triangle": "api/en/math/Triangle",
                "Vector2": "api/en/math/Vector2",
                "Vector3": "api/en/math/Vector3",
                "Vector4": "api/en/math/Vector4"
            },

            "Math / Interpolants": {
                "CubicInterpolant": "api/en/math/interpolants/CubicInterpolant",
                "DiscreteInterpolant": "api/en/math/interpolants/DiscreteInterpolant",
                "LinearInterpolant": "api/en/math/interpolants/LinearInterpolant",
                "QuaternionLinearInterpolant": "api/en/math/interpolants/QuaternionLinearInterpolant"
            },

            "Objects": {
                "Annotation": "api/en/objects/Annotation",
                "AnnotationControl": "api/en/objects/AnnotationControl",
                "Bone": "api/en/objects/Bone",
                "Group": "api/en/objects/Group",
                "Line": "api/en/objects/Line",
                "LineLoop": "api/en/objects/LineLoop",
                "LineSegments": "api/en/objects/LineSegments",
                "LOD": "api/en/objects/LOD",
                "Mesh": "api/en/objects/Mesh",
                "Points": "api/en/objects/Points",
                "Skeleton": "api/en/objects/Skeleton",
                "SkinnedMesh": "api/en/objects/SkinnedMesh",
                "Sprite": "api/en/objects/Sprite"
            },

            "Renderers": {
                "RenderUtils": "api/en/renderers/RenderUtils",
                "WebGLRenderer": "api/en/renderers/WebGLRenderer",
                "WebGLRenderTarget": "api/en/renderers/WebGLRenderTarget",
                "WebGLRenderTargetCube": "api/en/renderers/WebGLRenderTargetCube"
            },

            "Renderers / Shaders": {
                "ShaderChunk": "api/en/renderers/shaders/ShaderChunk",
                "ShaderLib": "api/en/renderers/shaders/ShaderLib",
                "UniformsLib": "api/en/renderers/shaders/UniformsLib",
                "UniformsUtils": "api/en/renderers/shaders/UniformsUtils"
            },

            "Scenes": {
                "Fog": "api/en/scenes/Fog",
                "FogExp2": "api/en/scenes/FogExp2",
                "Scene": "api/en/scenes/Scene",
                "SceneBackground": "api/en/scenes/SceneBackground"
            },

            "Textures": {
                "CanvasTexture": "api/en/textures/CanvasTexture",
                "CompressedTexture": "api/en/textures/CompressedTexture",
                "CubeTexture": "api/en/textures/CubeTexture",
                "DataTexture": "api/en/textures/DataTexture",
                "DataTexture3D": "api/en/textures/DataTexture3D",
                "DepthTexture": "api/en/textures/DepthTexture",
                "Texture": "api/en/textures/Texture",
                "VideoTexture": "api/en/textures/VideoTexture"
            }

        },

        "Examples": {

            "Animations": {
                "CCDIKSolver": "examples/animations/CCDIKSolver",
                "MMDAnimationHelper": "examples/animations/MMDAnimationHelper",
                "MMDPhysics": "examples/animations/MMDPhysics"
            },
            "Geometries": {
                "ConvexBufferGeometry": "examples/geometries/ConvexBufferGeometry",
                "ConvexGeometry": "examples/geometries/ConvexGeometry",
                "DecalGeometry": "examples/geometries/DecalGeometry"
            },

            "Loaders": {
                "BabylonLoader": "examples/loaders/BabylonLoader",
                "DRACOLoader": "examples/loaders/DRACOLoader",
                "MMDLoader": "examples/loaders/MMDLoader",
                "MTLLoader": "examples/loaders/MTLLoader",
                "OBJLoader": "examples/loaders/OBJLoader",
                "OBJLoader2": "examples/loaders/OBJLoader2",
                "LoaderSupport": "examples/loaders/LoaderSupport",
                "PCDLoader": "examples/loaders/PCDLoader",
                "PDBLoader": "examples/loaders/PDBLoader",
                "SVGLoader": "examples/loaders/SVGLoader",
                "TGALoader": "examples/loaders/TGALoader",
                "PRWMLoader": "examples/loaders/PRWMLoader"
            },

            "Objects": {
                "Lensflare": "examples/objects/Lensflare",
            },

            "Exporters": {
                "GLTFExporter": "examples/exporters/GLTFExporter",
                "PLYExporter": "examples/exporters/PLYExporter",
                "ColladaExporter": "examples/exporters/ColladaExporter"
            },

            "Plugins": {
                "LookupTable": "examples/Lut",
            },

            "QuickHull": {
                "Face": "examples/quickhull/Face",
                "HalfEdge": "examples/quickhull/HalfEdge",
                "QuickHull": "examples/quickhull/QuickHull",
                "VertexNode": "examples/quickhull/VertexNode",
                "VertexList": "examples/quickhull/VertexList"
            },

            "Renderers": {
                "CSS2DRenderer": "examples/renderers/CSS2DRenderer",
                "CSS3DRenderer": "examples/renderers/CSS3DRenderer",
                "SVGRenderer": "examples/renderers/SVGRenderer"

            },

            "Utils": {
                "BufferGeometryUtils": "examples/utils/BufferGeometryUtils",
                "SkeletonUtils": "examples/utils/SkeletonUtils"
            }
        },

        "Misc": {
            "Deprecated": {
                "JavaScript APIs": "api/en/deprecated/DeprecatedList",
                "Facebook 3D Posts": "manual/en/introduction/Facebook-3D-Posts"
            },

            "Polyfills": {
                "Polyfills": "api/en/Polyfills"
            },

            "WebGLRenderer": {
                "WebGLProgram": "api/en/renderers/webgl/WebGLProgram",
                "WebGLShader": "api/en/renderers/webgl/WebGLShader",
                "WebGLState": "api/en/renderers/webgl/WebGLState"
            }
        }
    }

};

// node.js
if (typeof window === 'undefined')
    module.exports = list;

