(function() {

function init() {
    setKeyDialogLogic();
    setUpdateDialogLogic();

    var appName = document.getElementById('app_name');
    var appNameDisp = document.getElementById('app_name_disp');
    if (appName) {
        appName.onkeyup = function() {
            appNameDisp.value = capitalizeFirstLetters(appName.value.replace(/_/g, ' '));
        };
    }
}

function setKeyDialogLogic() {
    var keyDialog = document.getElementById('keyDialog');
    if (!keyDialog)
        return;

    var keyEnterBtn = document.getElementById("enterKey");
    var keyClose = document.getElementById("keyClose");

    keyEnterBtn.onclick = function() {
        keyDialog.style.display = "block";
    }

    keyClose.onclick = function() {
        keyDialog.style.display = "none";
    }

    window.onclick = function(event) {
        if (event.target == keyDialog) {
            keyDialog.style.display = "none";
        }
    }

}

function setUpdateDialogLogic() {
    var updateDialog = document.getElementById('updateDialog');
    var updateClose = document.getElementById('updateClose');

    updateClose.onclick = function() {
        updateDialog.style.display = 'none';
    }
}

window.updateApp = function(app, modules, files) {
    var updateModuleList = document.getElementById('updateModuleList');

    var html = '';

    html += '<input type="hidden" name="app" value="' + app + '">'

    for (var i = 0; i < modules.length; i++) {
        var module = modules[i];
        html += '<span title="Select this module for updating">'
        // fake disabled input which should be always checked
        html += ' <input type="checkbox" disabled checked class="netcheckbox">'
        // real input which sends data
        html += ' <input type="hidden" name="module" value="' + module + '">'
        html += module + '<br>'
        html += '</span>'
    }

    updateModuleList.innerHTML = html;

    var updateFileListInfo = document.getElementById('updateFileListInfo');
    var updateFileList = document.getElementById('updateFileList');

    var html = '';

    for (var i = 0; i < files.length; i++) {
        var file = files[i];
        html += '<span title="Select this template-based file/dir for updating">'
        html += ' <input type="checkbox" name="file" value="' + file + '" class="appcheckbox" id="">'
        html += file + '<br>'
        html += '</span>'
    }

    updateFileListInfo.style.display = html.length ? 'block' : 'none';
    updateFileList.innerHTML = html;

    var updateDialog = document.getElementById('updateDialog');
    updateDialog.style.display = 'block';
}

window.publishApp = function(url) {
    var publishDialog = document.getElementById('publishDialog');
    var publishDialogInt = document.getElementById('publishDialogInternals');
    var publishClose = document.getElementById('publishClose');
    var publishProcessing = document.getElementById('publishProcessing');
    var publishPercentage = document.getElementById('publishPercentage');
    var publishContent = document.getElementById('publishContent');

    function reqListener() {
        publishDialogInt.setAttribute('class', 'dialog published');
        publishProcessing.style.display = 'none';
        publishContent.innerHTML = this.responseText;
    }

    function percentageListener() {
        publishPercentage.innerHTML = Math.round(this.responseText || 0) + '%';

        if (publishProcessing.style.display == 'block') {
            window.setTimeout(function() {
                var req = new XMLHttpRequest();
                req.addEventListener('load', percentageListener);
                req.open('GET', '/storage/s3/?req=progress');
                req.send();
            }, 300)
        }
    }

    publishDialog.style.display = 'block';

    publishDialogInt.setAttribute('class', 'dialog publishing');
    publishProcessing.style.display = 'block';
    publishContent.innerHTML = '';

    percentageListener();

    var req = new XMLHttpRequest();
    req.addEventListener('load', reqListener);
    req.open('GET', '/storage/s3/?req=upload&app=' + url);
    req.send();

    publishClose.onclick = function() {
        publishDialog.style.display = 'none';
    }
}

window.redirectPurchase = function() {
    window.location.href='https://www.soft8soft.com/licensing/';
}

window.redirectRenew = function() {
    window.location.href='https://www.soft8soft.com/verge3d-subscription-renewal/';
}

window.openFile = function(url) {
    console.log('OPEN', url)
    var req = new XMLHttpRequest();
    req.open('GET', '/open/?filepath=' + url);
    req.send();
}

function capitalizeFirstLetters(str) {
    return str.toLowerCase().replace(/^\w|\s\w/g, function (letter) {
        return letter.toUpperCase();
    });
}

init();

})(); // end of closure


