<html>
<head>
  <title>Verge3D App Manager</title>
  <link rel="stylesheet" type="text/css" href="/manager/css/simple-grid.css">
  <link rel="stylesheet" type="text/css" href="/manager/css/main.css">
  <script>
    var VERSION = "$version";
    var PACKAGE = "$package";
    var CHECK_FOR_UPDATES = $checkForUpdates;
  </script>
  <script src="/manager/js/common.js"></script>

  <!-- favicons from realfavicongenerator.net -->
  <link rel="apple-touch-icon" sizes="180x180" href="/manager/img/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/manager/img/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/manager/img/favicon-16x16.png">
  <link rel="manifest" href="/manager/img/manifest.json">
  <link rel="mask-icon" href="/manager/img/safari-pinned-tab.svg" color="#5bbad5 ">
  <meta name="theme-color" content="#ffffff ">

</head>

<body class="container">

  <div class="row">
    <div class="col-9">
      <div class="panel">
        <h1>Verge3D App Manager</h1>
        <div class="version" title="Verge3D for $package, version $version, build date $releaseDate">Version $version</div>
        <span title="Change app manager settings"><a href="/settings/" class="settingsbutton"></a></span>
      </div>
    </div>

    <div class="col-3">
      <div class="panel">
        <a href="https://www.soft8soft.com" target="_blank" title="Soft8Soft - the company behind Verge3D"><img class="logo_s8s" src="/manager/img/logo_s8s.png"></a>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-8">
      <div class="panel">
        <h2>${title}</h2>
        <hr>

        <table>
        ${mainPanel}
        </table>
        <p><a href='/' class="backwardbutton">Return back to the main screen</a>
      </div>
    </div>


    <div class="col-4">
      <div class="panel">
        <div class="newapp">
          <h2>Manage App</h2>
          <hr>
          <div style="margin:10px">
          ${sidePanel}
          </div>
        </div>
      </div>

      <!-- hack to place all panels inside the same column -->
      <div class="panel" style="margin-top: 1rem">
        <div class="doc">
          <h2>Search</h2>
          <hr>
          <p>
            <input type="text" id="filterInput" class="filterinput" placeholder="Type to search" autocorrect="off" autocapitalize="off" spellcheck="false">
            <a href="#" id="clearFilterButton" class="clearfilterbutton">x</a>
          </p>
        </div>
      </div>

      <!-- hack to place all panels inside the same column -->
      <div class="panel" style="margin-top: 1rem">
        <div class="doc">
          <h2>Verge3D Network</h2>
          <hr>
          <p><a href="/storage/s3?req=status" target="_blank" title="Open Verge3D Network directory">Manage Directory</a>
        </div>
      </div>

      <!-- hack to place all panels inside the same column -->
      <div class="panel" style="margin-top: 1rem">
        <div class="doc">
          <h2>Support</h2>
          <hr>

          <p><a href="https://www.soft8soft.com/docs/" target="_blank" title="Open Verge3D user manual">User Manual</a>
          <p><a href="https://www.soft8soft.com/forums" target="_blank" title="Seek for assistance on Soft8Soft forums">Community Forums</a>
          <p><a href="https://cdn.soft8soft.com/demo/examples/index.html" target="_blank" title="Open advanced code examples">Code Examples</a>
          <p><a href="https://www.soft8soft.com/webglreport/" target="_blank" title="Check WebGL compatibility of your system">WebGL System Report</a>
        </div>
      </div>
    </div>

  </div>


  <!-- CDN publishing panel -->
  <div id="publishDialog" class="dialog-bg">
    <div id="publishDialogInternals" class="dialog publishing">
      <span id="publishClose" class="close publish">&times;</span>
      <div id="publishProcessing">
        <div>Uploading application to Verge3D Network...</div>
        <div class="publishpreloader-cont">
          <div id='publishPercentage' class='percentage'></div>
          <div class="publishpreloader"></div>
        </div>
      </div>

      <div id="publishContent">
      </div>

    </div>
  </div>

  <!-- App update panel -->
  <div id="updateDialog" class="dialog-bg">
    <div class="dialog update">
      <span id="updateClose" class="close update">&times;</span>
      <h2>Application Update</h2>
      <form action="/update_app/">
        <p class="appformlabels">Overwrite engine modules:</p>
        <div id="updateModuleList">
        </div>
        <p class="appformlabels" id="updateFileListInfo">Overwrite template-based files (make a backup if you edited them!):</p>
        <div id="updateFileList">
        </div>
        <input type="submit" value="Update App" class="button update">
      </form>
    </div>
  </div>


  <script src="/manager/js/main.js"></script>
  <script src="/manager/js/manage.js"></script>


</body>
</html>
