<head>
  <title>Verge3D App Manager</title>
  <link rel="stylesheet" type="text/css" href="/manager/css/simple-grid.css">
  <link rel="stylesheet" type="text/css" href="/manager/css/main.css">
  <link rel="stylesheet" type="text/css" href="/manager/css/settings.css">
  <link rel="stylesheet" type="text/css" href="/manager/css/font-awesome.css">
  <script>
    var VERSION = "$version";
    var PACKAGE = "$package";
    var CHECK_FOR_UPDATES = $checkForUpdates;
  </script>
  <script src="/manager/js/common.js"></script>
  <script src="/manager/js/jsoneditor.min.js"></script>
  <script>
JSONEditor.defaults.themes.custom = JSONEditor.AbstractTheme.extend({
    getFormInputLabel: function (text) {
        var el = this._super(text);
        el.style.marginRight = '12px';
        return el;
    },
    getFormInputDescription: function (text) {
        var el = this._super(text);
        return el;
    },
    getFormInputField: function(type) {
      var el = this._super(type);
      el.style.padding = '0px 4px';
      return el;
    },
    getIndentedPanel: function () {
        var el = this._super();
        el.style.border = 'none';
        el.style.padding = '0px';
        el.style.margin = '0px';
        return el;
    },
    getChildEditorHolder: function () {
        var el = this._super();
        return el;
    },
    getHeaderButtonHolder: function () {
        var el = this.getButtonHolder();
        return el;
    },
    getTable: function () {
        var el = this._super();
        el.style.margin = '0px';
        el.style.width = '100%';
        return el;
    },
    addInputError: function (input, text) {
        if (!input.errmsg) {
            var group = this.closest(input, '.form-control');
            input.errmsg = document.createElement('div');
            input.errmsg.setAttribute('class', 'errmsg');
            group.appendChild(input.errmsg);
        }
        else {
            input.errmsg.style.display = 'block';
        }

        input.errmsg.innerHTML = '';
        input.errmsg.appendChild(document.createTextNode(text));
    },
    removeInputError: function (input) {
        input.style.borderColor = '';
        if (input.errmsg) input.errmsg.style.display = 'none';
    },
    getProgressBar: function () {
        var max = 100, start = 0;

        var progressBar = document.createElement('progress');
        progressBar.setAttribute('max', max);
        progressBar.setAttribute('value', start);
        return progressBar;
    },
    updateProgressBar: function (progressBar, progress) {
        if (!progressBar) return;
        progressBar.setAttribute('value', progress);
    },
    updateProgressBarUnknown: function (progressBar) {
        if (!progressBar) return;
        progressBar.removeAttribute('value');
    }
});
    var SETTINGS_SCHEMA = {
        "type": "object",
        "title": "Network Settings",
        //"format": "grid",
        "properties": {
            "check_for_updates": {
                "type": "boolean",
                "title": "Notify about Verge3D updates",
                "format": "checkbox",
                "default": true,
                "propertyOrder": 0,
                "class": "appcheckbox"
            },
            "external_interface": {
                "type": "boolean",
                "title": "Enable external server interface",
                "format": "checkbox",
                "default": false,
                "propertyOrder": 1,
                "class": "appcheckbox"
            },
            "external_address": {
                "type": "string",
                "title": "Local network address (copy and paste it to address bar)",
                "options": {
                    "input_width": "250px",
                },
                "propertyOrder": 2
            },
            "cache_max_age": {
                "type": "integer",
                "title": "Verge3D Network cache age (minutes)",
                "format": "number",
                "default": 15,
                "options": {
                    "input_width": "80px",
                },
                "propertyOrder": 3
            },
            "app_templates": {
                "type": "array",
                "title": "App Templates",
                "format": "table",
                "options": {
                    //"collapsed": true,
                },
                "items": {
                    "type": "object",
                    "title": "Template",
                    //"headerTemplate": "{{ i1 }} - {{ self.name }}",
                    "properties": {
                        "name": {
                            "type": "string",
                            "title": "Name / Directory"
                        },
                        "description": {
                            "type": "string",
                            "title": "Description",
                            "options": {
                                "input_width": "600px",
                            }
                        }
                    }
                },
                "default": [
                    {
                        "name": "Standard",
                        "description": ""
                    },
                    {
                        "name": "Code-Based",
                        "description": ""
                    }
                ],
                "propertyOrder": 4
            },
            "license_key": {
                "type": "string",
                "title": "License Key",
                "default": "",
                "options": {
                    "hidden": true
                },
                "propertyOrder": 5
            },
            "license_key_version": {
                "type": "string",
                "title": "License Key Version",
                "default": "",
                "options": {
                    "hidden": true
                },
                "propertyOrder": 6
            },
        }
    }
  </script>
</head>

<body class="container">

  <div class="row">
    <div class="col-9">
      <div class="panel">
        <h1>Verge3D App Manager</h1>
        <div class="version" title="Verge3D for $package, version $version, build date $releaseDate">Version $version</div>
      </div>
    </div>

    <div class="col-3">
      <div class="panel">
        <a href="https://www.soft8soft.com" target="_blank"><img class="logo_s8s" src="/manager/img/logo_s8s.png"></a>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <div class="panel">
        <div id='editor_holder'></div>

        <script>
          var editor = new JSONEditor(document.getElementById('editor_holder'), {
              schema: SETTINGS_SCHEMA,
              //array_controls_top: true,
              //compact: true,
              disable_array_reorder: true,
              disable_array_delete_all_rows: true,
              disable_array_delete_last_row: true,
              disable_collapse: true,
              disable_properties: true,
              disable_edit_json: true,
              iconlib: "fontawesome4",
              theme: "custom",
          });

          editor.setValue($json);

          editor.on('change', function() {
              var savedData = editor.getValue()
              var req = new XMLHttpRequest();
              req.open('POST', '/settings/save');
              req.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
              req.send(JSON.stringify(savedData));
          });
        </script>
        <p><a href='/' class="backwardbutton">Return back to the main screen</a>
      </div>
    </div>
  </div>

  <div class="col-12 copyright">
    <p><a href="https://www.soft8soft.com" target="_blank">© Soft8Soft LLC</a>
  </div>

</body>
</html>
